package com.jasamedika.medifirst2000.service;

import java.util.Date;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.LembarKonsultasi;
import com.jasamedika.medifirst2000.vo.LembarKonsultasiVO;

public interface LembarKonsultasiService <T> extends BaseVoService<LembarKonsultasi, LembarKonsultasiVO, String> {
	
	Map<String, Object> findByNocm(String noCm);
	
	Map<String, Object> saveLembarKonsultasi(LembarKonsultasiVO vo);
	Map<String, Object> updateLembarKonsultasi(LembarKonsultasiVO vo);

	public Map<String,Object> findByNoCmAndTglInput(String noCm, Date tglInput);
}
